#include "UIFrontEndScreenSet.h"

TSoftClassPtr<UCommonActivatableWidget> UUIFrontEndScreenSet::GetScreenForState(EZMMOFrontEndState State) const
{
	if (const TSoftClassPtr<UCommonActivatableWidget>* Found = StateScreens.Find(State))
	{
		return *Found;
	}
	return TSoftClassPtr<UCommonActivatableWidget>();
}

TSoftClassPtr<UCommonActivatableWidget> UUIFrontEndScreenSet::GetLobbyPage(EZMMOLobbyPage Page) const
{
	if (const TSoftClassPtr<UCommonActivatableWidget>* Found = LobbyPages.Find(Page))
	{
		return *Found;
	}
	return TSoftClassPtr<UCommonActivatableWidget>();
}
